# Everness Mapgen [everness]

Everness is a mapgen, which aims to provide an endless array of
beautiful biomes from the surface lands to the caverns with custom-painted
textures. It creates both a sense of discovery and of danger when one lands in the wrong biome.
It also adds structures, dungeons with loot chests, and custom skyboxes based on the biome.

![screenshot](screenshot.png)

## Features

* supports MineClone2 - see attached `minetest.example.mcl.conf` for best optimized settings (looking for testing and contributors)
* player name tag will hide when sneaking
* item magnet pickup when holding sneak
* granular biome settings
* custom sounds, biomes
* custom textures
* custom biomes and cavern biomes
* custom tools, blocks
* custom skyboxes based on biome
* inlcudes (not for all) e.g. walls, doors, glass, stairs, vines, tools, panes, trees...
* unique set of tools
* pottery

## Biomes

Additionally adds extra biomes to the MT game default biomes:

* Coral Forest
* Coral Forest Dunes
* Coral Forest Ocean
* Coral Forest Deep Ocean
* Coral Forest Under
* Frosted Icesheet
* Frosted Icesheet Ocean
* Frosted Icesheet Under
* Cursed Lands
* Cursed Lands Dunes
* Cursed Lands Swamp
* Cursed Lands Ocean
* Cursed Lands Deep Ocean
* Cursed Lands Under
* Crystal Forest
* Crystal Forest Dunes
* Crystal Forest Shore
* Crystal Forest Ocean
* Crystal Forest Deep Ocean
* Crystal Forest Under
* Bamboo Forest
* Bamboo Forest Under
* Forsaken Desert
* Forsaken Desert Ocean
* Forsaken Desert Under
* Baobab Savanna
* Forsaken Tundra
* Forsaken Tundra Beach
* Forsaken Tundra Ocean
* Forsaken Tundra Under
* Mineral Waters

## Wiki

https://bitbucket.org/minetest_gamers/everness/wiki/Home

## Report Bugs/Suggestions

https://bitbucket.org/minetest_gamers/everness/issues

## Dependencies

- *none*

## Optional Dependencies

- default (MTG)
- xpanes (MTG)
- doors (MTG)
- stairs (MTG)
- walls (MTG)
- x_obsidianmese (for paths)
- x_tumbleweed (adds tumbleweeds to deserts)
- x_farming (bonemeal, recipes...)
- x_clay (mapgen structures, loot chests...)
- mcl_core (MCL)
- mcl_fences (MCL)
- mcl_walls (MCL)
- mcl_stairs (MCL)
- mcl_util (MCL)
- mcl_autogroup (MCL)
- mcl_doors (MCL)
- mcl_mapgen_core (MCL)

## License

see included [LICENSE.txt](LICENSE.txt) file for more info

## Installation

see: https://docs.luanti.org/for-players/installing-mods/
